---
title: Update a Folder
url: https://www.tines.com/docs/api/folders/update/
updated: 2026-05-07T14:36:23+00:00
description: Update a folder.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Folders](https://www.tines.com/llm/docs/api/folders.md)*

# Update a Folder

*[View on tines.com](https://www.tines.com/docs/api/folders/update/)*

## Description

Update a folder.

## Request

HTTP Method: **PUT**

| Query Parameter  | Description                                                                |
| ---------------- | -------------------------------------------------------------------------- |
| name             | The folder name.                                                           |
| parent_folder_id | **Optional** ID of the parent folder. Set to `null` to move to root level. |

| Path Parameter | Description      |
| -------------- | ---------------- |
| folder_id      | ID of the folder |

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v1/folders/<<folder_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
        "name": "New folder name",
        "parent_folder_id": 5
      }'
```

## Response

A successful request will return a JSON object describing the updated folder

### Field description

| Parameter        | Description                                              |
| ---------------- | -------------------------------------------------------- |
| id               | The folder ID.                                           |
| name             | The folder name.                                         |
| team_id          | ID of team to which the folder belongs.                  |
| content_type     | The type of content stored in this folder                |
| size             | The number of items in this folder                       |
| parent_folder_id | ID of the parent folder, or `null` if at the root level. |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 1,
  "name": "New folder name",
  "content_type": "CREDENTIAL",
  "team_id": 1,
  "size": 0,
  "parent_folder_id": 5
}
```

<!-- cspell:enable -->
